## org.gjt.sp.jedit.bsh.classpath
Class BshClassPath.DirClassSource

    java.lang.Object
      org.gjt.sp.jedit.bsh.classpath.BshClassPath.ClassSource
          org.gjt.sp.jedit.bsh.classpath.BshClassPath.DirClassSource

Enclosing class:
  BshClassPath

    public static class BshClassPath.DirClassSource

extends BshClassPath.ClassSource

Method Summary
`byte[]` `getCode(java.lang.String className)`
`java.io.File` `getDir()`
`static byte[]` `readBytesFromFile(java.io.File base, java.lang.String className)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDir

    public java.io.File getDir()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getCode

    public byte[] getCode(java.lang.String className)

### readBytesFromFile

    public static byte[] readBytesFromFile(java.io.File base,
                                           java.lang.String className)